Fix up scripts, fix generated enum value for strong mode, regenerate files (#6389)

* Fix up scripts, fix generated enum value for strong mode, regenerate files

* missing files

* GH action

* remove action
This commit is contained in:
Dan Field
2021-01-07 14:51:52 -08:00
committed by GitHub
parent 41253e574e
commit 809fe49c7a
9 changed files with 58 additions and 31 deletions

View File

@@ -16,7 +16,6 @@
pushd "$(dirname $0)" >/dev/null
command -v pub >/dev/null 2>&1 || { echo >&2 "Dart tests require `pub` but it's not installed. Aborting."; exit 1; }
command -v dart >/dev/null 2>&1 || { echo >&2 "Dart tests require dart to be in path but it's not installed. Aborting."; exit 1; }
# output required files to the dart folder so that pub will be able to
# distribute them and more people can more easily run the dart tests
@@ -26,7 +25,7 @@ cp monsterdata_test.mon ../dart/test
cd ../dart
# update packages
pub get
dart pub get
# Execute the sample.
dart test/flat_buffers_test.dart